Skip to main content
POST
/
custom
/
datev
/
push-data
/
general
Push general data to DATEV
curl --request POST \
  --url https://api.kombo.dev/v1/custom/datev/push-data/general \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Integration-Id: <x-integration-id>' \
  --data '{}'
{
  "status": "success",
  "data": {
    "files": [
      {
        "name": "EXTF_Stammdaten.csv",
        "content": "EXTF;700;21;Stammdaten;..."
      }
    ]
  },
  "warnings": [
    {
      "message": "This is an example warning!"
    }
  ]
}

Authorizations

Authorization
string
header
required

Create an API key on the Secrets page in the Kombo dashboard.

Headers

X-Integration-Id
string
required

ID of the integration you want to interact with.

Body

application/json

POST /custom/datev/push-data/general Request body

The body is of type object.

Response

POST /custom/datev/push-data/general Positive response

status
string
required
Allowed value: "success"
data
object
required
Example:
{
"files": [
{
"name": "EXTF_Stammdaten.csv",
"content": "EXTF;700;21;Stammdaten;..."
}
]
}
warnings
object[]
required

These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.